
QGIS Application - Bug report #17057

sld importer rounds values in rules to 1.12308e+06, which then doesn't match the actual value

2017-08-24 12:02 PM - Paul van Genuchten

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.0 Regression?: No

Operating System: macos Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 24956

Description

an sld fragment like this

<ogc:Filter xmlns:ogc="http://www.opengis.net/ogc">

            <ogc:PropertyIsEqualTo>

              <ogc:PropertyName>AANT_INW</ogc:PropertyName>

              <ogc:Literal>1123075</ogc:Literal>

            </ogc:PropertyIsEqualTo>

          </ogc:Filter>

is imported as rule

AANT_INW = 1.12308e+06

which then does not match the original value anymore

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-24 01:37 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
